package tankGame01;

import java.awt.*;

public class Tank {
    // 横纵坐标
    private Integer x;
    private Integer y;

    public Tank(Integer x, Integer y) {
        this.x = x;
        this.y = y;
    }

    public Integer getX() {
        return x;
    }

    public Integer getY() {
        return y;
    }

    public void setX(Integer x) {
        this.x = x;
    }

    public void setY(Integer y) {
        this.y = y;
    }

    /**
     * 初始化坦克
     * @param g 画笔
     * @param direct 方向 上下左右 1234
     * @param type 类型 1 我方 2 敌方
     */
    public void initTank(Graphics g, int direct,int type) {
        Color color = type == 1? Color.CYAN:Color.ORANGE;
        // 画坦克
        g.setColor(color);
        switch (direct) {
            // 向上
            case 1:
                g.fill3DRect(x,y,10,60,false);// 坦克左侧履带
                g.fill3DRect(x+30,y,10,60,false);// 坦克右侧履带
                g.fill3DRect(x+10,y+10,20,40,false); // 中间控制台
                g.fillOval(x+10,y+20,20,20);  // 画坦克的盖子
                g.drawLine(x+20,y+30,x+20,y);// 画机关枪（中间的线）
                break;
            // 向下
            case 2:
                g.fill3DRect(x,y,10,60,false);// 坦克左侧履带
                g.fill3DRect(x+30,y,10,60,false);// 坦克右侧履带
                g.fill3DRect(x+10,y+10,20,40,false); // 中间控制台
                g.fillOval(x+10,y+20,20,20);  // 画坦克的盖子
                g.drawLine(x+20,y+30,x+20,y+60);// 画机关枪（中间的线）
                break;
            // 向左
            case 3:
                g.fill3DRect(x,y,60,10,false);// 坦克上履带履带
                g.fill3DRect(x,y+30,60,10,false);// 坦克下侧履带
                g.fill3DRect(x+10,y+10,40,20,false); // 中间控制台
                g.fillOval(x+20,y+10,20,20);  // 画坦克的盖子
                g.drawLine(x+30,y+20,x,y+20);// 画机关枪（中间的线）
                break;
            // 向右
            case 4:
                g.fill3DRect(x,y,60,10,false);// 坦克上履带履带
                g.fill3DRect(x,y+30,60,10,false);// 坦克下侧履带
                g.fill3DRect(x+10,y+10,40,20,false); // 中间控制台
                g.fillOval(x+20,y+10,20,20);  // 画坦克的盖子
                g.drawLine(x+30,y+20,x+60,y+20);// 画机关枪（中间的线）
                break;
        }

    }

}
